=== debian/changelog ===
jtreg (4.1-2) unstable; urgency=low

  [Guillaume Mazoyer]
  * debian/patches/launchers.patch: Fixed typo in a variable name.
  * debian/rules: Removed extra spaces and use rm -f instead of ||:.

  [tony mancill]
  * debian/control: Add Vcs-Svn: field

 -- Guillaume Mazoyer <respawneral@gmail.com>  Sat, 02 Jul 2011 07:13:54 -0500

jtreg (4.1-1) unstable; urgency=low

  * Initial release (Closes: #629577)

 -- Guillaume Mazoyer <respawneral@gmail.com>  Tue, 07 Jun 2011 15:11:38 -0500
