=== debian/control ===
Source: jtreg
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), javahelper, help2man
Build-Depends-Indep: default-jdk,
                     libjtharness-java,
                     ant,
                     javahelp2,
                     libxalan2-java
Standards-Version: 3.9.2
Homepage: http://openjdk.java.net/jtreg/index.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jtreg/

Package: jtreg
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         libjtharness-java,
         javahelp2,
         libxalan2-java
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.
