=== debian/watch ===
version=3
http://download.java.net/openjdk/jtreg/ \
 .*/jtreg-(.*)-src-.*.zip debian debian/orig-tar.sh
