## jtreg 4.1-b09

=== debian/changelog ===
jtreg (4.1-b09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced JTREG_HOME with JT_HOME in the launcher scripts.
    (Closes: #754276)
  * Moved the package to Git
  * debian/rules: Fetch the version and the build number provided
    to the Ant script from the version of the package

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 Jul 2014 18:25:55 +0200

jtreg (4.1-b08-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed launchers.patch
    - New build dependency on testng
    - Added a patch to add jcommander.jar to the classpaths built internally
      by jtreg
  * Replaced dependencies.patch with command line arguments
  * Updated debian/watch and debian/orig-tar.sh to fetch the latest tagged
    build from the upsteam Mercurial repository.
  * Recommends testng for the binary package
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Added the missing Vcs-Browser field
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9
  * debian/copyright: Updated the Format URI

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Apr 2014 15:17:42 +0200
