=== debian/watch ===
version=3
https://adopt-openjdk.ci.cloudbees.com/job/jtreg/lastSuccessfulBuild/artifact/jtreg([\d\.]+(?:-b[0-9]+)?).tar.gz debian debian/orig-tar.sh
