## jtreg 4.1-b12

=== debian/changelog ===
jtreg (4.1-b12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the path of the installed files
  * Changed the value of the jtreg-BuildDate attribute in the manifest
    with the date from debian/changelog to make the build reproducible.
  * Standards-Version updated to 3.9.6 (no changes)
  * Fixed debian/watch
  * debian/copyright: Added the missing license shortname

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Jun 2015 18:39:02 +0200
