=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/jtreg.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jtreg.git
 Homepage: http://openjdk.java.net/jtreg
