## jtreg 4.2-b01

=== debian/changelog ===
jtreg (4.2-b01-0ubuntu1) xenial; urgency=medium

  * Upload to xenial.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Apr 2016 13:47:51 +0200

jtreg (4.2-b01-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 20 Apr 2016 13:14:17 +0200
