=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/jtreg.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jtreg.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jtreg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jtreg.git
 Homepage: http://openjdk.java.net/jtreg
 
 Package: jtreg
