## jtreg 4.2-b03

=== debian/changelog ===
jtreg (4.2-b03-1~16.04) xenial-proposed; urgency=medium

  * SRU: Update jtreg to the version required by openjdk-9. LP: #1620779.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2016 20:34:20 +0200

jtreg (4.2-b03-1) unstable; urgency=medium

  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 Sep 2016 15:06:20 +0200

jtreg (4.2-b03-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - No longer install the FAQ (removed upstream)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 04 Sep 2016 23:38:17 +0200

jtreg (4.2-b02-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 May 2016 22:47:48 +0200

jtreg (4.2-b01-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Apr 2016 17:26:18 +0200
