## jtreg 4.2-b05

=== debian/changelog ===
jtreg (4.2-b05-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 21 Aug 2017 12:39:06 -0700

jtreg (4.2-b05-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Jan 2017 11:13:11 +0100

jtreg (4.2-b04-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced the override_dh_auto_clean target with debian/clean
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Dec 2016 22:02:10 +0100
