=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: jtreg
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
-Build-Depends: debhelper (>= 9), javahelper, help2man
+Build-Depends: debhelper (>= 10), javahelper, help2man
 Build-Depends-Indep: default-jdk,
                      libjtharness-java,
                      ant,
