## jtreg 4.2-b08

=== debian/changelog ===
jtreg (4.2-b08-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Sep 2017 12:05:52 +0200

jtreg (4.2-b07-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 Jun 2017 10:54:14 +0200
