=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jtreg
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
 Build-Depends: debhelper (>= 10), javahelper, help2man
 Build-Depends-Indep: default-jdk,
@@ -10,7 +11,7 @@
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jtreg.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jtreg.git
 Homepage: http://openjdk.java.net/jtreg
