## jtreg 4.2-b13

=== debian/changelog ===
jtreg (4.2-b13-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.
  * Lower debhelper compat to 10.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 23 Apr 2024 11:45:18 +0200

jtreg (4.2-b13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.2.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 02 Aug 2018 09:16:44 +0200
