=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: jtreg
 Section: java
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
-Build-Depends: debhelper (>= 10), javahelper, help2man
+Build-Depends: debhelper (>= 10~), javahelper, help2man
 Build-Depends-Indep: default-jdk,
                      libjtharness-java,
                      ant,
                      javahelp2,
                      libxalan2-java,
                      testng
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jtreg.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jtreg.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
+Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: http://openjdk.java.net/jtreg
 
 Package: jtreg
