## jtreg 4.2-b14

=== debian/changelog ===
jtreg (4.2-b14-1~16.04.1) xenial; urgency=medium

  * Upload to Ubuntu 16.04.
  * d/p/use-release-instead-of-source-target.patch: drop patch, compile with
    default settings (d/p/use-default-release.patch).
  * d/{control, compat}: use compat level 10.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 17 Jul 2025 14:39:45 +1200

jtreg (4.2-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Feb 2019 12:44:58 +0100

jtreg (4.2-b13-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Stürmer Daitx ]
  * Use release instead of source/target. (Closes: #913853, LP: #1803628)

  [ tony mancill ]
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Tue, 20 Nov 2018 20:49:59 -0800
