=== debian/control ===
Source: jtreg
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends:
 ant,
 debhelper (>= 9~),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libjtharness-java,
 libxalan2-java,
 testng
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
Vcs-Browser: https://salsa.debian.org/java-team/jtreg
Homepage: http://openjdk.java.net/jtreg

Package: jtreg
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java,
 libxalan2-java
Recommends: testng
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.
