## jtreg 4.2-b16

=== debian/changelog ===
jtreg (4.2-b16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Track the new releases from GitHub
  * Standards-Version updated to 4.4.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 12 Jan 2020 00:31:57 +0100
