=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
 Build-Depends:
  ant,
- debhelper (>= 9~),
+ debhelper (>= 11~),
  default-jdk,
  help2man,
  javahelp2,
@@ -13,7 +13,7 @@
  libjtharness-java,
  libxalan2-java,
  testng
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: http://openjdk.java.net/jtreg
