## jtreg 5.0-b01

=== debian/changelog ===
jtreg (5.0-b01-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Provide jar symlinks in /usr/share/jtreg/share/java as well.
    Allows openjdk configuration --with-jtreg=/usr/share/jtreg with the same
    patchset for all release.
  * Provide additional jar symlinks for jh.jar and hamcrest-core.jar.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Apr 2020 12:31:42 +0200

jtreg (5.0-b01-2) unstable; urgency=medium

  * Team upload.
  * Install jtreg under /usr/share/jtreg and use it as the default JT_HOME path

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 13 Apr 2020 00:28:39 +0200

jtreg (5.0-b01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on libjtharness-java (>= 6.0)
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Apr 2020 10:49:05 +0200
