=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  help2man,
  javahelp2,
  javahelper,
- libjtharness-java,
+ libjtharness-java (>= 6.0),
  libxalan2-java,
+ libhamcrest-java,
  testng
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: http://openjdk.java.net/jtreg
@@ -24,7 +25,8 @@
  ${java:Depends},
  ${misc:Depends},
  javahelp2,
- libjtharness-java,
+ libjtharness-java (>= 6.0),
+ libhamcrest-java,
  libxalan2-java
 Recommends: testng
 Description: Regression Test Harness for the OpenJDK platform
