## jtreg 5.1-b01

=== debian/changelog ===
jtreg (5.1-b01-2~deb10u1) buster; urgency=medium

  * Rebuild for buster, needed for latest OpenJDK 11.x release
    - Switch to debhelper 12

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 19 Nov 2021 16:26:05 +0000

jtreg (5.1-b01-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Stürmer Daitx ]
  * d/p/launcher.patch: set JTREG_HOME earlier. (Closes: #965047,
    LP: #1887587).

  [ tony mancill ]
  * Use debhelper-compat 13
  * Use https URL for Homepage in debian/control
  * Freshen years in debian/copyright and update Source: link
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 14 Jul 2020 21:28:47 -0700

jtreg (5.1-b01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Jun 2020 21:12:36 +0200
