=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
 Build-Depends:
  ant,
- debhelper (>= 11~),
+ debhelper,
  default-jdk,
  help2man,
  javahelp2,
@@ -17,7 +17,8 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
-Homepage: http://openjdk.java.net/jtreg
+Homepage: https://openjdk.java.net/jtreg
+Rules-Requires-Root: no
 
 Package: jtreg
 Architecture: all
